Latest filings
curl --request GET \
--url https://astreus.ai/api/v1/filings \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/filings"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/filings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/filings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/filings")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/filings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"filings": [
{
"id": -773257,
"accessionNumber": "SAU-2283-20261101-PR",
"filingType": "PR",
"filingDate": "2026-11-01",
"fileSizeBytes": 3730,
"cik": "XSAU000015",
"title": "First Milling Co. announces hosting an earnings call to discuss the financial results for third quarter and the nine-month period of 2026",
"documentKind": "pdf",
"source": "TADAWUL",
"companyName": "First Milling Co.",
"ticker": "2283"
},
{
"id": -773224,
"accessionNumber": "ADX-GIH-20261101-AGM",
"filingType": "AGM",
"filingDate": "2026-11-01",
"fileSizeBytes": 275046,
"cik": "XKUW000074",
"title": "Gulf Investment House Company General Assembly Meeting Result held on 01/11/2026 at 12:00",
"documentKind": "pdf",
"source": "ADX",
"companyName": "Gulf Investment House",
"ticker": "GIH"
}
],
"limit": 2,
"offset": 0,
"hasMore": true,
"nextOffset": 2
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}SEC Filings
Latest filings
Newest documents across every source: completed SEC EDGAR filings and the exchange, regulator and IR documents we store (DFM, ADX, Tadawul, QSE, DART, EDINET, …), newest first.
GET
/
api
/
v1
/
filings
Latest filings
curl --request GET \
--url https://astreus.ai/api/v1/filings \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/filings"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/filings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/filings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/filings")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/filings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"filings": [
{
"id": -773257,
"accessionNumber": "SAU-2283-20261101-PR",
"filingType": "PR",
"filingDate": "2026-11-01",
"fileSizeBytes": 3730,
"cik": "XSAU000015",
"title": "First Milling Co. announces hosting an earnings call to discuss the financial results for third quarter and the nine-month period of 2026",
"documentKind": "pdf",
"source": "TADAWUL",
"companyName": "First Milling Co.",
"ticker": "2283"
},
{
"id": -773224,
"accessionNumber": "ADX-GIH-20261101-AGM",
"filingType": "AGM",
"filingDate": "2026-11-01",
"fileSizeBytes": 275046,
"cik": "XKUW000074",
"title": "Gulf Investment House Company General Assembly Meeting Result held on 01/11/2026 at 12:00",
"documentKind": "pdf",
"source": "ADX",
"companyName": "Gulf Investment House",
"ticker": "GIH"
}
],
"limit": 2,
"offset": 0,
"hasMore": true,
"nextOffset": 2
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Query Parameters
1–100, default 100.
Required range:
1 <= x <= 100Default 0; the response carries hasMore and nextOffset.
Required range:
x >= 0Only filings of one family: annual (10-K, 20-F, exchange annual reports), interim (10-Q, exchange interims), current (8-K, 6-K, exchange disclosures), press, insider (Forms 3/4/5), holdings (13F, 13D/G), meetings (proxies, AGMs) or calls (exchange calls and decks).
Available options:
annual, interim, current, press, insider, holdings, meetings, calls